<html>
<head>
<title>OGRE: Ogre::Matrix3 Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a></div>
<h1>Ogre::Matrix3 Class Reference</h1><!-- doxytag: class="Ogre::Matrix3" -->A 3x3 matrix which can represent rotations around axes.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Matrix3-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#0ecaa32a22cc18ca76dc74377005e7e1">Matrix3</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor.  <a href="#0ecaa32a22cc18ca76dc74377005e7e1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#705a22877d9f0a33724887e577486b41">Matrix3</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> arr[3][3])</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#04f1bcba696c41cae099b5229789772b">Matrix3</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#3653fb657419f82d71f7ae06df0dd9f5">Matrix3</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry00, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry01, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry02, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry10, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry11, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry12, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry20, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry21, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry22)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#d5ae794f77955d57e92f0457bcdf0d0b">operator[]</a> (size_t iRow) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#6d5df6ca5b1fb2eb3de77124da0a390d">GetColumn</a> (size_t iCol) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#b5f04bc27bc68152b92123ac2d14afd5">SetColumn</a> (size_t iCol, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#d904362ff107e91ed2881a9802d11979">FromAxes</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;xAxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;yAxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;zAxis)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#f1d37de5c682f78870aae007ee71a360">operator=</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#14f0de269999f5e58d7ec11f09e82fff">operator==</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#c28de07a8eeb9257d9f6a85c8bf9a0df">operator!=</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#6b41bd7f552290c980690f69e4f54004">operator+</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#c0c776e7ee4604fd58715cf1edd62de7">operator-</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#49fb0638e083434ba73c10ea5d0f41e7">operator *</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#59733eb23090e235cad6451e1636e8fb">operator-</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#12df713351b0a7a3f336b32fba82effb">operator *</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#b96931d5ed102dc2649ff632fceb18b8">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#4ccc246eae557ee30ec285fe2cc99f54">Transpose</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#068ef05b6bbed7ac88d22fe7cc221a7e">Inverse</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkInverse, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fTolerance=1e-06) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#d562bfb225028627c3ac7812056d5b45">Inverse</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fTolerance=1e-06) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#e6c425038bd77d80f1461652ec68b19f">Determinant</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#22254ba3dcecdad3907deb7d8b185419">SingularValueDecomposition</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkL, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkS, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkR) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#1efb2981c1a759e607e1431321d95524">SingularValueComposition</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkL, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkS, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkR)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#dd64f270c75286c4cafa3b242778573f">Orthonormalize</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#b86645418b9db322c77e911e1b95406e">QDUDecomposition</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkQ, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkD, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkU) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#c46c5191ed2e90c943ad626764caadeb">SpectralNorm</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#c5338e4c09748a969019d522945343ad">ToAxisAngle</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#56bb39e8e29028990f381b2238e736a4">ToAxisAngle</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis, <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;rfAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#94283f34fa420ee0048bb01d2c4f8c2d">FromAxisAngle</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRadians)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#2a181c876993cf552fb771e3ff0bc4d3">ToEulerAnglesXYZ</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#266398dd88459e4ab8028f20e5f1baa2">ToEulerAnglesXZY</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ffba36508ff21d216168aaf181662a0b">ToEulerAnglesYXZ</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#be2f46f171e6e470298a39b0b1da9067">ToEulerAnglesYZX</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ca3ad54e245e5db1829cfdeded15d548">ToEulerAnglesZXY</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#3966a3dc328db1d6f67bfc9122a9e81c">ToEulerAnglesZYX</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#3f5abdecf648a54b164df112c7037ed7">FromEulerAnglesXYZ</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#209f31aa2e25d9b3d55d64d2d8304382">FromEulerAnglesXZY</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#2e0ccd0f22689072aa4a64c7a441f694">FromEulerAnglesYXZ</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#94b0b7264cc1572fff22f491ac6cc664">FromEulerAnglesYZX</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#c0148ffb86f185d7de044fd83e9647ce">FromEulerAnglesZXY</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#8308f99c3c13e067f016a45f26f15389">FromEulerAnglesZYX</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#050ec131b1f7d0fbe11ddf06133478b9">EigenSolveSymmetric</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afEigenvalue[3], <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> akEigenvector[3]) const </td></tr>

<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#f1d217c48e8894227fa2cf2a7952cccc">TensorProduct</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkU, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkV, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkProduct)</td></tr>

<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#5bf17bf2239af2516e359dc6de22bf3d">EPSILON</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#4561d62d4d2c088ce2a3b6c3ec3d09af">ZERO</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#dcb2945d4f9b8995236be5a27dcfe343">IDENTITY</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ba77d4cfb88b20309871d112729c03e9">Tridiagonal</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afDiag[3], <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afSubDiag[3])</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#970bb631fd5e6a6b0518ec160a3bfebd">QLAlgorithm</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afDiag[3], <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afSubDiag[3])</td></tr>

<tr><td colspan="2"><br><h2>Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#2623a5189b5ada5e6746752406618615">Bidiagonalize</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kA, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kL, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kR)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#91fba8359a29a0bad16c9f73e436409f">GolubKahanStep</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kA, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kL, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kR)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#275b664601f3baaec4e13f2141a2cba4">MaxCubicRoot</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afCoeff[3])</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#fa4cf13c54bdcc2df5fa761e01ad180d">m</a> [3][3]</td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#70f841cde6ab4bf97c84086fc7e03466">ms_fSvdEpsilon</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#26978929c3b875e8520331303bb97745">ms_iSvdMaxIterations</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ed2829d86d2df8f9333d4c0087455880">Matrix4</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#54684a2bffe4d97e4d6006bd215aa1d3">operator *</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkVector, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ed2841ae17a0841eb6b53844654e2d46">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A 3x3 matrix which can represent rotations around axes. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd><b>All the code is adapted from the Wild Magic 0.2 Matrix library (<a href="http://www.geometrictools.com/">http://www.geometrictools.com/</a>).</b> </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The coordinate system is assumed to be <b>right-handed</b>. </dd></dl>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00063">63</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0ecaa32a22cc18ca76dc74377005e7e1"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="0ecaa32a22cc18ca76dc74377005e7e1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Matrix3::Matrix3           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>It does <b>NOT</b> initialize the matrix for efficiency. </dd></dl>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00070">70</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="705a22877d9f0a33724887e577486b41"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="705a22877d9f0a33724887e577486b41" args="(const Real arr[3][3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Matrix3::Matrix3           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>arr</em>[3][3]          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00071">71</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="04f1bcba696c41cae099b5229789772b"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="04f1bcba696c41cae099b5229789772b" args="(const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Matrix3::Matrix3           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00075">75</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="OgreMatrix3_8h-source.html#l00300">m</a>.</p>

</div>
</div><p>
<a class="anchor" name="3653fb657419f82d71f7ae06df0dd9f5"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="3653fb657419f82d71f7ae06df0dd9f5" args="(Real fEntry00, Real fEntry01, Real fEntry02, Real fEntry10, Real fEntry11, Real fEntry12, Real fEntry20, Real fEntry21, Real fEntry22)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Matrix3::Matrix3           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry00</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry02</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry10</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry11</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry12</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry20</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry21</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fEntry22</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00079">79</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d5ae794f77955d57e92f0457bcdf0d0b"></a><!-- doxytag: member="Ogre::Matrix3::operator[]" ref="d5ae794f77955d57e92f0457bcdf0d0b" args="(size_t iRow) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Matrix3::operator[]           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>iRow</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00095">95</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d5df6ca5b1fb2eb3de77124da0a390d"></a><!-- doxytag: member="Ogre::Matrix3::GetColumn" ref="6d5df6ca5b1fb2eb3de77124da0a390d" args="(size_t iCol) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Matrix3::GetColumn           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>iCol</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b5f04bc27bc68152b92123ac2d14afd5"></a><!-- doxytag: member="Ogre::Matrix3::SetColumn" ref="b5f04bc27bc68152b92123ac2d14afd5" args="(size_t iCol, const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::SetColumn           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>iCol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d904362ff107e91ed2881a9802d11979"></a><!-- doxytag: member="Ogre::Matrix3::FromAxes" ref="d904362ff107e91ed2881a9802d11979" args="(const Vector3 &amp;xAxis, const Vector3 &amp;yAxis, const Vector3 &amp;zAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromAxes           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>xAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>yAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>zAxis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f1d37de5c682f78870aae007ee71a360"></a><!-- doxytag: member="Ogre::Matrix3::operator=" ref="f1d37de5c682f78870aae007ee71a360" args="(const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&amp; Ogre::Matrix3::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00108">108</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="OgreMatrix3_8h-source.html#l00300">m</a>.</p>

</div>
</div><p>
<a class="anchor" name="14f0de269999f5e58d7ec11f09e82fff"></a><!-- doxytag: member="Ogre::Matrix3::operator==" ref="14f0de269999f5e58d7ec11f09e82fff" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c28de07a8eeb9257d9f6a85c8bf9a0df"></a><!-- doxytag: member="Ogre::Matrix3::operator!=" ref="c28de07a8eeb9257d9f6a85c8bf9a0df" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00114">114</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="namespaceOgre.html#b426b0250db523190d60f4bfe0414499">Ogre::operator==()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6b41bd7f552290c980690f69e4f54004"></a><!-- doxytag: member="Ogre::Matrix3::operator+" ref="6b41bd7f552290c980690f69e4f54004" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c0c776e7ee4604fd58715cf1edd62de7"></a><!-- doxytag: member="Ogre::Matrix3::operator-" ref="c0c776e7ee4604fd58715cf1edd62de7" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="49fb0638e083434ba73c10ea5d0f41e7"></a><!-- doxytag: member="Ogre::Matrix3::operator *" ref="49fb0638e083434ba73c10ea5d0f41e7" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="59733eb23090e235cad6451e1636e8fb"></a><!-- doxytag: member="Ogre::Matrix3::operator-" ref="59733eb23090e235cad6451e1636e8fb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator-           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="12df713351b0a7a3f336b32fba82effb"></a><!-- doxytag: member="Ogre::Matrix3::operator *" ref="12df713351b0a7a3f336b32fba82effb" args="(const Vector3 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Matrix3::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b96931d5ed102dc2649ff632fceb18b8"></a><!-- doxytag: member="Ogre::Matrix3::operator *" ref="b96931d5ed102dc2649ff632fceb18b8" args="(Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4ccc246eae557ee30ec285fe2cc99f54"></a><!-- doxytag: member="Ogre::Matrix3::Transpose" ref="4ccc246eae557ee30ec285fe2cc99f54" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::Transpose           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="068ef05b6bbed7ac88d22fe7cc221a7e"></a><!-- doxytag: member="Ogre::Matrix3::Inverse" ref="068ef05b6bbed7ac88d22fe7cc221a7e" args="(Matrix3 &amp;rkInverse, Real fTolerance=1e-06) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::Inverse           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkInverse</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fTolerance</em> = <code>1e-06</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d562bfb225028627c3ac7812056d5b45"></a><!-- doxytag: member="Ogre::Matrix3::Inverse" ref="d562bfb225028627c3ac7812056d5b45" args="(Real fTolerance=1e-06) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::Inverse           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fTolerance</em> = <code>1e-06</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e6c425038bd77d80f1461652ec68b19f"></a><!-- doxytag: member="Ogre::Matrix3::Determinant" ref="e6c425038bd77d80f1461652ec68b19f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Matrix3::Determinant           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="22254ba3dcecdad3907deb7d8b185419"></a><!-- doxytag: member="Ogre::Matrix3::SingularValueDecomposition" ref="22254ba3dcecdad3907deb7d8b185419" args="(Matrix3 &amp;rkL, Vector3 &amp;rkS, Matrix3 &amp;rkR) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::SingularValueDecomposition           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkR</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1efb2981c1a759e607e1431321d95524"></a><!-- doxytag: member="Ogre::Matrix3::SingularValueComposition" ref="1efb2981c1a759e607e1431321d95524" args="(const Matrix3 &amp;rkL, const Vector3 &amp;rkS, const Matrix3 &amp;rkR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::SingularValueComposition           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkR</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="dd64f270c75286c4cafa3b242778573f"></a><!-- doxytag: member="Ogre::Matrix3::Orthonormalize" ref="dd64f270c75286c4cafa3b242778573f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::Orthonormalize           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b86645418b9db322c77e911e1b95406e"></a><!-- doxytag: member="Ogre::Matrix3::QDUDecomposition" ref="b86645418b9db322c77e911e1b95406e" args="(Matrix3 &amp;rkQ, Vector3 &amp;rkD, Vector3 &amp;rkU) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::QDUDecomposition           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkU</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c46c5191ed2e90c943ad626764caadeb"></a><!-- doxytag: member="Ogre::Matrix3::SpectralNorm" ref="c46c5191ed2e90c943ad626764caadeb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Matrix3::SpectralNorm           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c5338e4c09748a969019d522945343ad"></a><!-- doxytag: member="Ogre::Matrix3::ToAxisAngle" ref="c5338e4c09748a969019d522945343ad" args="(Vector3 &amp;rkAxis, Radian &amp;rfAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::ToAxisAngle           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="56bb39e8e29028990f381b2238e736a4"></a><!-- doxytag: member="Ogre::Matrix3::ToAxisAngle" ref="56bb39e8e29028990f381b2238e736a4" args="(Vector3 &amp;rkAxis, Degree &amp;rfAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::ToAxisAngle           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00161">161</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94283f34fa420ee0048bb01d2c4f8c2d"></a><!-- doxytag: member="Ogre::Matrix3::FromAxisAngle" ref="94283f34fa420ee0048bb01d2c4f8c2d" args="(const Vector3 &amp;rkAxis, const Radian &amp;fRadians)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromAxisAngle           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRadians</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2a181c876993cf552fb771e3ff0bc4d3"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesXYZ" ref="2a181c876993cf552fb771e3ff0bc4d3" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::ToEulerAnglesXYZ           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="266398dd88459e4ab8028f20e5f1baa2"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesXZY" ref="266398dd88459e4ab8028f20e5f1baa2" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::ToEulerAnglesXZY           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ffba36508ff21d216168aaf181662a0b"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesYXZ" ref="ffba36508ff21d216168aaf181662a0b" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::ToEulerAnglesYXZ           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="be2f46f171e6e470298a39b0b1da9067"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesYZX" ref="be2f46f171e6e470298a39b0b1da9067" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::ToEulerAnglesYZX           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ca3ad54e245e5db1829cfdeded15d548"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesZXY" ref="ca3ad54e245e5db1829cfdeded15d548" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::ToEulerAnglesZXY           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3966a3dc328db1d6f67bfc9122a9e81c"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesZYX" ref="3966a3dc328db1d6f67bfc9122a9e81c" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::ToEulerAnglesZYX           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rfRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3f5abdecf648a54b164df112c7037ed7"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesXYZ" ref="3f5abdecf648a54b164df112c7037ed7" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromEulerAnglesXYZ           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="209f31aa2e25d9b3d55d64d2d8304382"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesXZY" ref="209f31aa2e25d9b3d55d64d2d8304382" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromEulerAnglesXZY           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2e0ccd0f22689072aa4a64c7a441f694"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesYXZ" ref="2e0ccd0f22689072aa4a64c7a441f694" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromEulerAnglesYXZ           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="94b0b7264cc1572fff22f491ac6cc664"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesYZX" ref="94b0b7264cc1572fff22f491ac6cc664" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromEulerAnglesYZX           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c0148ffb86f185d7de044fd83e9647ce"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesZXY" ref="c0148ffb86f185d7de044fd83e9647ce" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromEulerAnglesZXY           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8308f99c3c13e067f016a45f26f15389"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesZYX" ref="8308f99c3c13e067f016a45f26f15389" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::FromEulerAnglesZYX           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fRAngle</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="050ec131b1f7d0fbe11ddf06133478b9"></a><!-- doxytag: member="Ogre::Matrix3::EigenSolveSymmetric" ref="050ec131b1f7d0fbe11ddf06133478b9" args="(Real afEigenvalue[3], Vector3 akEigenvector[3]) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::EigenSolveSymmetric           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afEigenvalue</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td>
          <td class="paramname"> <em>akEigenvector</em>[3]</td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f1d217c48e8894227fa2cf2a7952cccc"></a><!-- doxytag: member="Ogre::Matrix3::TensorProduct" ref="f1d217c48e8894227fa2cf2a7952cccc" args="(const Vector3 &amp;rkU, const Vector3 &amp;rkV, Matrix3 &amp;rkProduct)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Matrix3::TensorProduct           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkProduct</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ba77d4cfb88b20309871d112729c03e9"></a><!-- doxytag: member="Ogre::Matrix3::Tridiagonal" ref="ba77d4cfb88b20309871d112729c03e9" args="(Real afDiag[3], Real afSubDiag[3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Matrix3::Tridiagonal           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afDiag</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afSubDiag</em>[3]</td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="970bb631fd5e6a6b0518ec160a3bfebd"></a><!-- doxytag: member="Ogre::Matrix3::QLAlgorithm" ref="970bb631fd5e6a6b0518ec160a3bfebd" args="(Real afDiag[3], Real afSubDiag[3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::QLAlgorithm           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afDiag</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afSubDiag</em>[3]</td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2623a5189b5ada5e6746752406618615"></a><!-- doxytag: member="Ogre::Matrix3::Bidiagonalize" ref="2623a5189b5ada5e6746752406618615" args="(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Matrix3::Bidiagonalize           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kR</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="91fba8359a29a0bad16c9f73e436409f"></a><!-- doxytag: member="Ogre::Matrix3::GolubKahanStep" ref="91fba8359a29a0bad16c9f73e436409f" args="(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::Matrix3::GolubKahanStep           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>kR</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="275b664601f3baaec4e13f2141a2cba4"></a><!-- doxytag: member="Ogre::Matrix3::MaxCubicRoot" ref="275b664601f3baaec4e13f2141a2cba4" args="(Real afCoeff[3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Matrix3::MaxCubicRoot           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>afCoeff</em>[3]          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="ed2829d86d2df8f9333d4c0087455880"></a><!-- doxytag: member="Ogre::Matrix3::Matrix4" ref="ed2829d86d2df8f9333d4c0087455880" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00303">303</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="54684a2bffe4d97e4d6006bd215aa1d3"></a><!-- doxytag: member="Ogre::Matrix3::operator *" ref="54684a2bffe4d97e4d6006bd215aa1d3" args="(const Vector3 &amp;rkVector, const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ed2841ae17a0841eb6b53844654e2d46"></a><!-- doxytag: member="Ogre::Matrix3::operator *" ref="ed2841ae17a0841eb6b53844654e2d46" args="(Real fScalar, const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkMatrix</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5bf17bf2239af2516e359dc6de22bf3d"></a><!-- doxytag: member="Ogre::Matrix3::EPSILON" ref="5bf17bf2239af2516e359dc6de22bf3d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#5bf17bf2239af2516e359dc6de22bf3d">Ogre::Matrix3::EPSILON</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00280">280</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4561d62d4d2c088ce2a3b6c3ec3d09af"></a><!-- doxytag: member="Ogre::Matrix3::ZERO" ref="4561d62d4d2c088ce2a3b6c3ec3d09af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1Matrix3.html#4561d62d4d2c088ce2a3b6c3ec3d09af">Ogre::Matrix3::ZERO</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00281">281</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dcb2945d4f9b8995236be5a27dcfe343"></a><!-- doxytag: member="Ogre::Matrix3::IDENTITY" ref="dcb2945d4f9b8995236be5a27dcfe343" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1Matrix3.html#dcb2945d4f9b8995236be5a27dcfe343">Ogre::Matrix3::IDENTITY</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00282">282</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="70f841cde6ab4bf97c84086fc7e03466"></a><!-- doxytag: member="Ogre::Matrix3::ms_fSvdEpsilon" ref="70f841cde6ab4bf97c84086fc7e03466" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#70f841cde6ab4bf97c84086fc7e03466">Ogre::Matrix3::ms_fSvdEpsilon</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00290">290</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="26978929c3b875e8520331303bb97745"></a><!-- doxytag: member="Ogre::Matrix3::ms_iSvdMaxIterations" ref="26978929c3b875e8520331303bb97745" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int <a class="el" href="classOgre_1_1Matrix3.html#26978929c3b875e8520331303bb97745">Ogre::Matrix3::ms_iSvdMaxIterations</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00291">291</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fa4cf13c54bdcc2df5fa761e01ad180d"></a><!-- doxytag: member="Ogre::Matrix3::m" ref="fa4cf13c54bdcc2df5fa761e01ad180d" args="[3][3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#fa4cf13c54bdcc2df5fa761e01ad180d">Ogre::Matrix3::m</a>[3][3]<code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h-source.html#l00300">300</a> of file <a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMatrix4_8h-source.html#l00436">Ogre::Matrix4::extract3x3Matrix()</a>, <a class="el" href="OgreMatrix3_8h-source.html#l00075">Matrix3()</a>, <a class="el" href="OgreMatrix4_8h-source.html#l00310">Ogre::Matrix4::operator=()</a>, and <a class="el" href="OgreMatrix3_8h-source.html#l00108">operator=()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMatrix3_8h-source.html">OgreMatrix3.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:33 2008
</p>
</body>
</html>
